Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.olafpanz.translationtable
Class CommandFacade

    java.lang.Object
      de.olafpanz.translationtable.CommandFacade

    public final class CommandFacade

extends java.lang.Object

Implements tool commands.

Author:
  Olaf

Constructor Summary
`CommandFacade()`

Method Summary
`static void` | `createCode(TranslationTableParameters param)` Create translations tables for one file
`static void` | `exportXML(TranslationTableParameters param, java.io.File xmlFile)` Export translation table specified in parameters to given file as xml.
`private static java.util.List<TranslationDocument>` | `loadDocuments(TranslationTableParameters param)` Load all currently specified translation-table-documents
`private static java.util.List<TranslationDocument>` | `loadXml(java.io.File file)` Load translation table from xml file.
`private static de.olafpanz.xsd.translationTable100.TranslationTablesDocument` | `toXML(java.util.List<TranslationDocument> docList)` Convert a translation-document into aa xml-document

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandFacade

    public CommandFacade()

Method Detail

### exportXML

    public static void exportXML(TranslationTableParameters param,
                                 java.io.File xmlFile)
                          throws java.io.IOException

  Export translation table specified in parameters to given file as xml.

  Parameters:
    `param` - Startup parameters
    `xmlFile` - target xml file.
  Throws:
    `java.io.IOException` - Error in writing file.

### toXML

    private static de.olafpanz.xsd.translationTable100.TranslationTablesDocument toXML(java.util.List<TranslationDocument> docList)

  Convert a translation-document into aa xml-document

  Parameters:
    `docList` - List of documents to transform. Might be empty but not null
  Returns:
    Created document

### loadDocuments

    private static java.util.List<TranslationDocument> loadDocuments(TranslationTableParameters param)
                                                              throws java.io.IOException

  Load all currently specified translation-table-documents

  Parameters:
    `param` - Current parameters.
  Returns:
    Is never null
  Throws:
    `java.io.IOException` - Error in loading

### loadXml

    private static java.util.List<TranslationDocument> loadXml(java.io.File file)
                                                        throws java.io.IOException

  Load translation table from xml file.

  Parameters:
    `file` - File must exist and a valid translation-table file
  Returns:
    List of loaded tables
  Throws:
    `java.io.IOException` - Error in loading

### createCode

    public static void createCode(TranslationTableParameters param)
                           throws java.io.IOException

  Create translations tables for one file

  Parameters:
    `param` - Parameters to create table.
  Throws:
    `java.io.IOException` - File loading might mail.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD